// The palyn/gen package contains functions that generate palyndrome strings.
// The generation can be performed iteratively or recursively.
package gen

// Generates recursively a palyndrome string of lowercase latin letters
// of length n 
func RecGenPalyn(n int) string {
  if n == 0 {
    return ""
  }
  if n == 1 {
    return genCharacter()
  }
  c := genCharacter()
  return c + RecGenPalyn(n - 2) + c
}
