package check

/* Checks (recursively) if the string s is palyndrome, and returns
   the corresponding boolean value. The string is assumed to be
   an ASCII strings; the behavior on non-ASCII strings is unspecified. */
func RecIsPalyn(s string) bool {
  if len(s) < 2 {
    return true
  }
  return s[0]==s[len(s) - 1] && RecIsPalyn(s[1:len(s)-1])
}
